summaryrefslogtreecommitdiffstats
path: root/geo-replication/unittests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'geo-replication/unittests.sh')
-rw-r--r--geo-replication/unittests.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/geo-replication/unittests.sh b/geo-replication/unittests.sh
new file mode 100644
index 00000000000..d5dbd00bd4c
--- /dev/null
+++ b/geo-replication/unittests.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+cd $(dirname $0)/tests/unit
+nosetests -v --exe --with-coverage --cover-package \
+ syncdaemon --cover-erase --cover-html --cover-branches $@
+
+saved_status=$?
+rm -f .coverage
+exit $saved_status